import 'package:flutter/material.dart';

import 'package:furibase/components/navbar_container.dart';
import 'package:furibase/providers/character_provider.dart';
import 'package:furibase/screen/Home_screen.dart';
import 'package:furibase/screen/drraw_screen.dart';
import 'package:provider/provider.dart';
import 'package:furibase/providers/menu_selection_provider.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();

  SystemChrome.setEnabledSystemUIMode(SystemUiMode.immersiveSticky);
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MultiProvider(
      providers: [
        ChangeNotifierProvider(create: (context) => CharacterProvider()),
        ChangeNotifierProvider(create: (context) => MenuSelectionProvider()),
      ],
      child: MaterialApp(
        debugShowCheckedModeBanner: false,
        title: 'AR Character App',
        theme: ThemeData.dark(),
        home:
            // DrawScreen(),
            HomeScreen(),
      ),
    );
  }
}
